"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var BadgeComponent = (function (_super) {
    __extends(BadgeComponent, _super);
    function BadgeComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.closeHandle = new core_1.EventEmitter();
        return _this;
    }
    BadgeComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "ts-badge",
                    template: "\n        <span class=\"mr-2 mb-2 badge badge-pill p-2 ts-badge text-white\" [ngClass]=\"badgeClass\">\n            {{label||''}}\n            <span (click)=\"closeHandle.emit()\" class=\"fa fa-trash-o fa-lg align-top pointer\" aria-hidden=\"true\"></span>\n        </span>",
                    styles: ["\n        .badge{\n            opacity: 0.8;\n        }\n        .ts-badge span{\n            transition: all 0.2s;\n            width: 0px;\n            overflow: hidden;\n            opacity: 0;\n        }\n        .ts-badge:hover span{\n            transition: all 0.2s;\n            opacity: 1;\n            width: 15px;\n            overflow: unset;\n            margin-left: 3px;\n        }\n    "],
                    exportAs: 'tsBadge'
                },] },
    ];
    BadgeComponent.propDecorators = {
        label: [{ type: core_1.Input }],
        closeHandle: [{ type: core_1.Output }]
    };
    return BadgeComponent;
}(attr_class_1.DomAttr));
exports.BadgeComponent = BadgeComponent;
//# sourceMappingURL=badge.component.js.map