"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var BadgesComponent = (function () {
    function BadgesComponent() {
        this.closeHandle = new core_1.EventEmitter(false);
    }
    BadgesComponent.prototype.removeBadge = function (badge, index) {
        this.closeHandle.emit(badge);
        this.badges.splice(index, 1);
    };
    BadgesComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: "ts-badges",
                    template: "\n            <ts-badge\n                *ngFor=\"let badge of badges;index as i\"\n                [label]=\"badge.badgeLabel\"\n                [color]=\"badge.badgeColor\"\n                (closeHandle)=\"removeBadge(badge,i)\">\n            </ts-badge>",
                    exportAs: 'tsBadges'
                },] },
    ];
    BadgesComponent.propDecorators = {
        badges: [{ type: core_1.Input }],
        closeHandle: [{ type: core_1.Output }]
    };
    return BadgesComponent;
}());
exports.BadgesComponent = BadgesComponent;
//# sourceMappingURL=badges.component.js.map