"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var ProgressComponent = (function (_super) {
    __extends(ProgressComponent, _super);
    function ProgressComponent() {
        var _this = _super.call(this) || this;
        _this.value = 0;
        return _this;
    }
    Object.defineProperty(ProgressComponent.prototype, "progress", {
        get: function () {
            return this.value + "%";
        },
        enumerable: true,
        configurable: true
    });
    ProgressComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-progress',
                    template: "\n    <div class=\"progress\">\n        <div class=\"progress-bar progress-bar-striped progress-bar-animated\" [ngClass]=\"bgClass\" [ngStyle]=\"{width:value+'%'}\">\n            {{progress}}\n        </div>\n    </div>"
                },] },
    ];
    ProgressComponent.ctorParameters = function () { return []; };
    ProgressComponent.propDecorators = {
        value: [{ type: core_1.Input }]
    };
    return ProgressComponent;
}(attr_class_1.DomAttr));
exports.ProgressComponent = ProgressComponent;
//# sourceMappingURL=progress.component.js.map