import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { Item } from './../../commons/interfaces/item.interface';
import { DomAttr } from '../../commons/extends/attr.class';
import { DropdownDirective } from '../dropdown/dropdown.directive';
import { ControlValueAccessor } from '@angular/forms';
import { Observable } from 'rxjs';
export declare class SearchComponent extends DomAttr implements OnInit, AfterViewInit, ControlValueAccessor {
    private elementRef;
    search: (key: string) => Observable<Item[]>;
    placeholder: string;
    emptyLabel: string;
    searchLabel: string;
    dropdown: DropdownDirective;
    input: ElementRef;
    items$: Observable<Item[]>;
    title: string;
    activeItems: Array<Item>;
    private changeInside;
    private subject;
    applyChange: (value: any) => void;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    doSearch(key: string): void;
    writeValue(values: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    cleanSearch(): void;
    setValue(item: Item): void;
    isActiveItem(item: Item): boolean;
}
