"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var i0 = require("@angular/core");
var i1 = require("@angular/common");
var i2 = require("../dropdown/dropdown.directive");
var i3 = require("../../commons/directives/toggle.directives");
var i4 = require("../../commons/services/htmldom.service");
var i5 = require("@angular/forms");
var i6 = require("./search.component");
var styles_SearchComponent = [".ts-select-item[_ngcontent-%COMP%] {\n            max-height: 270px;\n            overflow-y: auto;\n        }\n        .dropdown-item.active[_ngcontent-%COMP%], .dropdown-item[_ngcontent-%COMP%]:active{\n            color: #343a40 !important;\n            background: #f8f9fa !important;\n        }\n        .dropdown-item[_ngcontent-%COMP%]:after{\n            text-align:center;\n        }"];
var RenderType_SearchComponent = i0.ɵcrt({ encapsulation: 0, styles: styles_SearchComponent, data: {} });
exports.RenderType_SearchComponent = RenderType_SearchComponent;
function View_SearchComponent_1(_l) { return i0.ɵvid(0, [(_l()(), i0.ɵeld(0, 0, null, null, 1, "span", [["class", "text-muted"]], null, null, null, null, null)), (_l()(), i0.ɵted(1, null, ["", ""]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = _co.placeholder; _ck(_v, 1, 0, currVal_0); }); }
function View_SearchComponent_2(_l) { return i0.ɵvid(0, [(_l()(), i0.ɵeld(0, 0, null, null, 2, "span", [], [[8, "className", 0]], null, null, null, null)), (_l()(), i0.ɵeld(1, 0, null, null, 0, "i", [["class", "fa fa-fw fa-close"]], null, [[null, "click"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("click" === en)) {
        var pd_0 = (_co.setValue(_v.context.$implicit) !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), (_l()(), i0.ɵted(2, null, [" ", " "]))], null, function (_ck, _v) { var _co = _v.component; var currVal_0 = i0.ɵinlineInterpolate(1, "badge p-2 m-1 no-select ", _co.badgeClass, ""); _ck(_v, 0, 0, currVal_0); var currVal_1 = _v.context.$implicit.text; _ck(_v, 2, 0, currVal_1); }); }
function View_SearchComponent_4(_l) { return i0.ɵvid(0, [(_l()(), i0.ɵeld(0, 0, null, null, 1, "div", [["class", "d-table-cell text-right"]], null, null, null, null, null)), (_l()(), i0.ɵeld(1, 0, null, null, 0, "i", [["class", "fa fa-fw fa-check"]], null, null, null, null, null))], null, null); }
function View_SearchComponent_3(_l) { return i0.ɵvid(0, [(_l()(), i0.ɵeld(0, 0, null, null, 4, "div", [], [[8, "className", 0]], [[null, "click"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("click" === en)) {
        var pd_0 = (_co.setValue(_v.context.$implicit) !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), (_l()(), i0.ɵeld(1, 0, null, null, 3, "div", [["class", "d-table w-100"]], null, null, null, null, null)), (_l()(), i0.ɵeld(2, 0, null, null, 0, "div", [["class", "d-table-cell"]], [[8, "innerHTML", 1]], null, null, null, null)), (_l()(), i0.ɵand(16777216, null, null, 1, null, View_SearchComponent_4)), i0.ɵdid(4, 16384, null, 0, i1.NgIf, [i0.ViewContainerRef, i0.TemplateRef], { ngIf: [0, "ngIf"] }, null)], function (_ck, _v) { var _co = _v.component; var currVal_2 = _co.isActiveItem(_v.context.$implicit); _ck(_v, 4, 0, currVal_2); }, function (_ck, _v) { var _co = _v.component; var currVal_0 = i0.ɵinlineInterpolate(1, "dropdown-item pointer no-select ", (_co.isActiveItem(_v.context.$implicit) ? _co.textClass : ""), ""); _ck(_v, 0, 0, currVal_0); var currVal_1 = (_v.context.$implicit.content || _v.context.$implicit.text); _ck(_v, 2, 0, currVal_1); }); }
function View_SearchComponent_0(_l) { return i0.ɵvid(0, [i0.ɵqud(402653184, 1, { dropdown: 0 }), i0.ɵqud(402653184, 2, { input: 0 }), (_l()(), i0.ɵeld(2, 0, null, null, 17, "div", [["class", "w-100"], ["tsDropdown", ""]], [[8, "className", 0]], [[null, "displayChange"], ["document", "click"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("document:click" === en)) {
        var pd_0 = (i0.ɵnov(_v, 3).onDocumentClick($event.target) !== false);
        ad = (pd_0 && ad);
    } if (("displayChange" === en)) {
        var pd_1 = (_co.cleanSearch() !== false);
        ad = (pd_1 && ad);
    } return ad; }, null, null)), i0.ɵdid(3, 4276224, [[1, 4], ["tsDropdown", 4]], 2, i2.DropdownDirective, [i0.ElementRef], { class: [0, "class"], useItemClickClose: [1, "useItemClickClose"] }, { displayChange: "displayChange" }), i0.ɵqud(335544320, 3, { toggleDirective: 0 }), i0.ɵqud(335544320, 4, { dropMenuDirective: 0 }), (_l()(), i0.ɵeld(6, 0, null, null, 5, "div", [["class", "pointer w-100"], ["tsToggle", ""]], [[2, "p-0", null], [2, "p-2", null]], [[null, "click"], [null, "blur"]], function (_v, en, $event) { var ad = true; if (("click" === en)) {
        var pd_0 = (i0.ɵnov(_v, 7).onClick() !== false);
        ad = (pd_0 && ad);
    } if (("blur" === en)) {
        var pd_1 = (i0.ɵnov(_v, 7).onBlur($event) !== false);
        ad = (pd_1 && ad);
    } return ad; }, null, null)), i0.ɵdid(7, 4210688, [[3, 4]], 0, i3.ToggleDirective, [i0.ElementRef], null, null), (_l()(), i0.ɵand(16777216, null, null, 1, null, View_SearchComponent_1)), i0.ɵdid(9, 16384, null, 0, i1.NgIf, [i0.ViewContainerRef, i0.TemplateRef], { ngIf: [0, "ngIf"] }, null), (_l()(), i0.ɵand(16777216, null, null, 1, null, View_SearchComponent_2)), i0.ɵdid(11, 802816, null, 0, i1.NgForOf, [i0.ViewContainerRef, i0.TemplateRef, i0.IterableDiffers], { ngForOf: [0, "ngForOf"] }, null), (_l()(), i0.ɵeld(12, 0, null, null, 7, "div", [["tsDropMenu", ""]], [[4, "width", null], [8, "className", 0]], [[null, "click"]], function (_v, en, $event) { var ad = true; if (("click" === en)) {
        var pd_0 = (i0.ɵnov(_v, 13).onClick() !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), i0.ɵdid(13, 4210688, [[4, 4]], 0, i2.DropMenuDirective, [i0.ElementRef, i4.HtmlDomService], null, null), (_l()(), i0.ɵeld(14, 0, null, null, 5, "div", [["class", "w-100 ts-select-item"]], null, null, null, null, null)), (_l()(), i0.ɵeld(15, 0, null, null, 1, "div", [["class", "pl-2 pb-2 pr-2"]], null, null, null, null, null)), (_l()(), i0.ɵeld(16, 0, [[2, 0], ["searchBox", 1]], null, 0, "input", [["class", "form-control"], ["type", "text"]], [[8, "placeholder", 0]], [[null, "keyup"]], function (_v, en, $event) { var ad = true; var _co = _v.component; if (("keyup" === en)) {
        var pd_0 = (_co.doSearch(i0.ɵnov(_v, 16).value) !== false);
        ad = (pd_0 && ad);
    } return ad; }, null, null)), (_l()(), i0.ɵand(16777216, null, null, 2, null, View_SearchComponent_3)), i0.ɵdid(18, 802816, null, 0, i1.NgForOf, [i0.ViewContainerRef, i0.TemplateRef, i0.IterableDiffers], { ngForOf: [0, "ngForOf"] }, null), i0.ɵpid(131072, i1.AsyncPipe, [i0.ChangeDetectorRef])], function (_ck, _v) { var _co = _v.component; var currVal_1 = "w-100"; var currVal_2 = false; _ck(_v, 3, 0, currVal_1, currVal_2); var currVal_5 = (_co.activeItems.length <= 0); _ck(_v, 9, 0, currVal_5); var currVal_6 = _co.activeItems; _ck(_v, 11, 0, currVal_6); var currVal_10 = i0.ɵunv(_v, 18, 0, i0.ɵnov(_v, 19).transform(_co.items$)); _ck(_v, 18, 0, currVal_10); }, function (_ck, _v) { var _co = _v.component; var currVal_0 = i0.ɵnov(_v, 3)._class; _ck(_v, 2, 0, currVal_0); var currVal_3 = (_co.activeItems.length > 0); var currVal_4 = (_co.activeItems.length <= 0); _ck(_v, 6, 0, currVal_3, currVal_4); var currVal_7 = "100%"; var currVal_8 = i0.ɵnov(_v, 13).class; _ck(_v, 12, 0, currVal_7, currVal_8); var currVal_9 = _co.searchLabel; _ck(_v, 16, 0, currVal_9); }); }
exports.View_SearchComponent_0 = View_SearchComponent_0;
function View_SearchComponent_Host_0(_l) { return i0.ɵvid(0, [(_l()(), i0.ɵeld(0, 0, null, null, 2, "div", [["tsSearch", ""]], null, null, null, View_SearchComponent_0, RenderType_SearchComponent)), i0.ɵprd(5120, null, i5.NG_VALUE_ACCESSOR, function (p0_0) { return [p0_0]; }, [i6.SearchComponent]), i0.ɵdid(2, 4308992, null, 0, i6.SearchComponent, [i0.ElementRef], null, null)], function (_ck, _v) { _ck(_v, 2, 0); }, null); }
exports.View_SearchComponent_Host_0 = View_SearchComponent_Host_0;
var SearchComponentNgFactory = i0.ɵccf("*[tsSearch]", i6.SearchComponent, View_SearchComponent_Host_0, { lg: "lg", sm: "sm", md: "md", xl: "xl", color: "color", outline: "outline", active: "active", search: "search", placeholder: "placeholder", emptyLabel: "emptyLabel", searchLabel: "searchLabel" }, {}, []);
exports.SearchComponentNgFactory = SearchComponentNgFactory;
//# sourceMappingURL=search.component.ngfactory.js.map