import { Observable } from 'rxjs';
import { GeometryUtil, Geocoder } from './map.interface';
import { ScriptService } from '../../commons/services/script.service';
import { MapConfig } from './map.config';
export declare class MapService {
    private mapConfig;
    private script;
    private loadHandle;
    private ready;
    private amap;
    constructor(mapConfig: MapConfig, script: ScriptService);
    doFuc(func: (amap: any) => void): void;
    getPositionByAddress(address: string): Observable<{
        result: boolean;
        datas: any;
    }>;
    getAddressByPosition(point: [number, number]): Observable<{
        result: boolean;
        datas: any;
    }>;
    doAMapGeocoder(options?: any): Observable<Geocoder>;
    geometryUtil(callback: (gutil: GeometryUtil, amap: any) => void): void;
}
