import { ElementRef, AfterViewInit, OnChanges, SimpleChanges, EventEmitter, OnInit, ChangeDetectorRef } from '@angular/core';
import { ScriptService } from './../../commons/services/script.service';
import { QuillOptions } from './quill.interface';
export declare class QuillDirective implements AfterViewInit, OnInit, OnChanges {
    private elementRef;
    private script;
    private cdRef;
    private srcs;
    content: string;
    enable: boolean;
    options: QuillOptions;
    load: EventEmitter<any>;
    contentChange: EventEmitter<string>;
    private noUpdateContent;
    private quill;
    private textarea;
    private ready;
    constructor(elementRef: ElementRef, script: ScriptService, cdRef: ChangeDetectorRef, srcs: string[]);
    ngOnChanges(change: SimpleChanges): void;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    updateContent(): void;
}
