"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var HtmlDomService = (function () {
    function HtmlDomService() {
    }
    HtmlDomService.prototype.getExpHeight = function (dom) {
        dom.style.visibility = 'hidden';
        var height = dom.clientHeight;
        dom.style.visibility = '';
        return height;
    };
    HtmlDomService.prototype.getPosition = function (dom) {
        var rect = dom.getBoundingClientRect();
        return { x: rect.left, y: rect.top };
    };
    HtmlDomService.prototype.getHeight = function (dom) {
        return dom.clientHeight;
    };
    HtmlDomService.prototype.getWidth = function (dom) {
        return dom.clientWidth;
    };
    HtmlDomService.decorators = [
        { type: core_1.Injectable },
    ];
    return HtmlDomService;
}());
exports.HtmlDomService = HtmlDomService;
//# sourceMappingURL=htmldom.service.js.map