import { EventEmitter, ElementRef, AfterViewInit } from '@angular/core';
import { DomAttr } from './../../commons/extends/attr.class';
import { DomLoad } from './../../commons/interfaces/load.interface';
export declare class ButtonDirective extends DomAttr implements AfterViewInit, DomLoad {
    private el;
    private button;
    private icon;
    private iconDom;
    loading: boolean;
    class: string;
    submit: EventEmitter<DomLoad>;
    disabled: boolean;
    readonly _disabled: boolean;
    readonly _class: string;
    onClick(): void;
    constructor(el: ElementRef);
    ngAfterViewInit(): void;
    present(): void;
    dismiss(): void;
    private hasLoadingIcon();
}
