import { EventEmitter } from '@angular/core';
import { DomAttr } from './../../commons/extends/attr.class';
import { ControlValueAccessor } from '@angular/forms';
export declare class CheckboxComponent extends DomAttr implements ControlValueAccessor {
    label: string;
    value: any;
    checkedChange: EventEmitter<boolean>;
    checked: boolean;
    isDisabled: boolean;
    private innerValue;
    changeHandle: (value: any) => {};
    touchedHandle: (value: any) => {};
    constructor();
    changeStatus(): void;
    writeValue(values: any[]): void;
    private hasValue();
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
}
