"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ModalComponent = (function () {
    function ModalComponent() {
        this.center = false;
        this.size = '';
    }
    ModalComponent.prototype.tryClose = function (event) {
        if (event.target === this.pad.nativeElement) {
            this.closeHandle();
        }
    };
    ModalComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ts-modal',
                    template: "\n    <div #pad class=\"modal show fade animated zoomIn\" (click)=\"tryClose($event)\"\n        [ngStyle]=\"{display: 'block',overflowY:'auto'}\">\n        <div class=\"modal-dialog modal-{{size}}\"\n            [ngStyle]=\"{height: scroll==='in'?'90%':'auto'}\" [class.modal-dialog-centered]=\"center\">\n            <div class=\"modal-content h-100\" [ngStyle]=\"scroll==='in'?{overflowY:'auto',overflowX:'hidden'}:{}\">\n                <ng-content></ng-content>\n            </div>\n        </div>\n    </div>\n    <div class=\"modal-backdrop fade show\"></div>\n    ",
                    styles: ["\n    .animated {\n        animation-duration: 0.5s;\n        animation-fill-mode: both;\n    }\n    .animated.infinite {\n        animation-iteration-count: infinite;\n    }\n    @keyframes zoomIn {\n        from {\n          opacity: 0;\n          transform: scale3d(0.3, 0.3, 0.3);\n        }\n        50% {\n          opacity: 1;\n        }\n      }\n    .zoomIn {\n        animation-name: zoomIn;\n    }\n    :host ::ng-deep ng-component {\n        height:100%;\n    }\n    "]
                },] },
    ];
    ModalComponent.ctorParameters = function () { return []; };
    ModalComponent.propDecorators = {
        pad: [{ type: core_1.ViewChild, args: ['pad',] }]
    };
    return ModalComponent;
}());
exports.ModalComponent = ModalComponent;
//# sourceMappingURL=modal.component.js.map