import { Injector, ApplicationRef, ComponentFactoryResolver, ComponentRef, ElementRef } from '@angular/core';
import { Observable } from 'rxjs';
export declare class ModalService {
    private applicationRef;
    private componentFactoryResolver;
    private injector;
    private baseComponent;
    private windowCmptRef;
    private containerEl;
    private handle;
    private options;
    modal: ComponentRef<any>;
    constructor(applicationRef: ApplicationRef, componentFactoryResolver: ComponentFactoryResolver, injector: Injector);
    init(ref: ElementRef): void;
    create(content: any, options?: {
        size?: string;
        center?: boolean;
        scroll?: string;
    }): ModalService;
    loadComponent(content: any): void;
    readonly instance: any;
    close(params?: any): void;
    dismiss(): void;
    open(): Observable<any>;
}
