"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var attr_class_1 = require("./../../commons/extends/attr.class");
var NavbarDirective = (function (_super) {
    __extends(NavbarDirective, _super);
    function NavbarDirective(elementRef) {
        var _this = _super.call(this) || this;
        _this.elementRef = elementRef;
        return _this;
    }
    Object.defineProperty(NavbarDirective.prototype, "_class", {
        get: function () {
            return "fixed-top w-100 navbar position-fixed flex-nowrap text-" + this.inLightOrDark + " " + this.bgClass + " " + (this.class || '');
        },
        enumerable: true,
        configurable: true
    });
    NavbarDirective.prototype.ngAfterViewInit = function () {
        var dom = this.elementRef.nativeElement;
    };
    NavbarDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '*[tsNavbar]',
                },] },
    ];
    NavbarDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef }
    ]; };
    NavbarDirective.propDecorators = {
        class: [{ type: core_1.Input }],
        _class: [{ type: core_1.HostBinding, args: ['class',] }]
    };
    return NavbarDirective;
}(attr_class_1.DomAttr));
exports.NavbarDirective = NavbarDirective;
var NavBrandDirective = (function (_super) {
    __extends(NavBrandDirective, _super);
    function NavBrandDirective() {
        return _super.call(this) || this;
    }
    Object.defineProperty(NavBrandDirective.prototype, "_class", {
        get: function () {
            return "navbar-brand " + (this.class || '');
        },
        enumerable: true,
        configurable: true
    });
    NavBrandDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: '*[tsNavBrand]',
                },] },
    ];
    NavBrandDirective.ctorParameters = function () { return []; };
    NavBrandDirective.propDecorators = {
        class: [{ type: core_1.Input }],
        _class: [{ type: core_1.HostBinding, args: ['class',] }]
    };
    return NavBrandDirective;
}(attr_class_1.DomAttr));
exports.NavBrandDirective = NavBrandDirective;
var NavListDirective = (function () {
    function NavListDirective(elementRef) {
        this.elementRef = elementRef;
    }
    NavListDirective.prototype.ngAfterContentInit = function () {
        var dom = this.elementRef.nativeElement;
        dom.style.flexGrow = '1';
    };
    NavListDirective.decorators = [
        { type: core_1.Directive, args: [{
                    selector: 'div[tsNavList]',
                    exportAs: 'tsNavList',
                },] },
    ];
    NavListDirective.ctorParameters = function () { return [
        { type: core_1.ElementRef }
    ]; };
    return NavListDirective;
}());
exports.NavListDirective = NavListDirective;
//# sourceMappingURL=navbar.directive.js.map