"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var WindowHandle = (function () {
    function WindowHandle() {
        this.subject = new rxjs_1.Subject();
    }
    WindowHandle.prototype.present = function () {
        this.ref.instance.present();
        return this.subject.asObservable();
    };
    WindowHandle.prototype.send = function (data) {
        this.subject.next(data);
    };
    WindowHandle.prototype.close = function (datas) {
        this.send(datas);
        this.ref.destroy();
    };
    WindowHandle.prototype.getIndex = function () {
        return this.index;
    };
    return WindowHandle;
}());
exports.WindowHandle = WindowHandle;
//# sourceMappingURL=window.class.js.map