"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var quill_directive_1 = require("./quill.directive");
var script_service_1 = require("./../../commons/services/script.service");
var QuillModule = (function () {
    function QuillModule() {
    }
    QuillModule.forChild = function (srcs) {
        return {
            ngModule: QuillModule,
            providers: [
                { provide: 'QUILL_SCRIPT_SRCS', useValue: srcs }
            ]
        };
    };
    QuillModule.forRoot = function (srcs) {
        return {
            ngModule: QuillModule,
            providers: [
                { provide: 'QUILL_SCRIPT_SRCS', useValue: srcs }
            ]
        };
    };
    QuillModule.decorators = [
        { type: core_1.NgModule, args: [{
                    imports: [
                        common_1.CommonModule
                    ],
                    declarations: [
                        quill_directive_1.QuillDirective,
                    ],
                    exports: [
                        common_1.CommonModule,
                        quill_directive_1.QuillDirective
                    ],
                    providers: [
                        script_service_1.ScriptService
                    ]
                },] },
    ];
    return QuillModule;
}());
exports.QuillModule = QuillModule;
//# sourceMappingURL=quill.module.js.map